Patchwork [meta-gnome,07/10] abiword: remove blacklist, libgsf and sv have been fixed

login
register
mail settings
Submitter Koen Kooi
Date Aug. 1, 2014, 1:34 p.m.
Message ID <1406900096-31368-7-git-send-email-koen@dominion.thruhere.net>
Download mbox | patch
Permalink /patch/77109/
State Accepted, archived
Headers show

Comments

Koen Kooi - Aug. 1, 2014, 1:34 p.m.
Also disable collab service due to gnutls build errors.

Signed-off-by: Koen Kooi <koen@dominion.thruhere.net>
---
 meta-gnome/recipes-gnome/abiword/abiword_3.0.0.bb | 4 +---
 1 file changed, 1 insertion(+), 3 deletions(-)
Martin Jansa - Aug. 4, 2014, 4:14 p.m.
On Fri, Aug 01, 2014 at 03:34:53PM +0200, Koen Kooi wrote:
> Also disable collab service due to gnutls build errors.

abiword also depends on libwmf-native which is still broken

| checking for XML_ParserFree in -lexpat... yes
| checking for freetype-config... /home/jenkins/oe/world/shr-core/tmp-eglibc/sysroots/x86_64-linux/usr/bin/freetype-config
| checking for FT_Init_FreeType in -lfreetype... yes
| checking ft2build.h usability... no
| checking ft2build.h presence... no
| checking for ft2build.h... no
| configure: error: * * * freetype(2) is required * * *
| Configure failed. The contents of all config.log files follows to aid debugging
| ERROR: oe_runconf failed
| WARNING: exit code 1 from a shell command.
| ERROR: Function failed: do_configure (log file is located at /home/jenkins/oe/world/shr-core/tmp-eglibc/work/x86_64-linux/libwmf-native/0.2.8.4-r3/temp/log.do_configure.22003)
NOTE: recipe libwmf-native-0.2.8.4-r3: task do_configure: Failed
ERROR: Task 28608 (virtual:native:/home/jenkins/oe/world/shr-core/meta-openembedded/meta-oe/recipes-extended/libwmf/libwmf_0.2.8.4.bb, do_configure) failed with exit code '1'

> Signed-off-by: Koen Kooi <koen@dominion.thruhere.net>
> ---
>  meta-gnome/recipes-gnome/abiword/abiword_3.0.0.bb | 4 +---
>  1 file changed, 1 insertion(+), 3 deletions(-)
> 
> diff --git a/meta-gnome/recipes-gnome/abiword/abiword_3.0.0.bb b/meta-gnome/recipes-gnome/abiword/abiword_3.0.0.bb
> index 7cd6c65..eb4bba2 100644
> --- a/meta-gnome/recipes-gnome/abiword/abiword_3.0.0.bb
> +++ b/meta-gnome/recipes-gnome/abiword/abiword_3.0.0.bb
> @@ -14,8 +14,6 @@ SRC_URI = "http://www.abisource.com/downloads/${BPN}/${PV}/source/${BP}.tar.gz \
>             file://autogen-common.sh \
>  "
>  
> -PNBLACKLIST[abiword] = "BROKEN: depends on broken wv -> libgsf"
> -
>  LIC_FILES_CHKSUM = "file://COPYING;md5=c5edcc3ccd864b19004d14e9c1c9a26a"
>  
>  SRC_URI[md5sum] = "8d9c41cff3a8fbef8d0c835c65600e65"
> @@ -26,7 +24,7 @@ SHRT_VER = "${@d.getVar('PV',1).split('.')[0]}.${@d.getVar('PV',1).split('.')[1]
>  
>  inherit autotools-brokensep pkgconfig
>  
> -PACKAGECONFIG ??= "collab-backend-xmpp collab-backend-tcp collab-backend-service"
> +PACKAGECONFIG ??= "collab-backend-xmpp collab-backend-tcp"
>  PACKAGECONFIG[spell] = "--enable-spell,--disable-spell,enchant"
>  PACKAGECONFIG[collab-backend-xmpp] = "--enable-collab-backend-xmpp,--disable-collab-backend-xmpp,libgsf libxml2 loudmouth"
>  PACKAGECONFIG[collab-backend-tcp] = "--enable-collab-backend-tcp,--disable-collab-backend-tcp,libgsf libxml2"
> -- 
> 1.9.0
> 
> -- 
> _______________________________________________
> Openembedded-devel mailing list
> Openembedded-devel@lists.openembedded.org
> http://lists.openembedded.org/mailman/listinfo/openembedded-devel
Koen Kooi - Aug. 6, 2014, 12:56 p.m.
Op 4 aug. 2014, om 18:14 heeft Martin Jansa <martin.jansa@gmail.com> het volgende geschreven:

> On Fri, Aug 01, 2014 at 03:34:53PM +0200, Koen Kooi wrote:
>> Also disable collab service due to gnutls build errors.
> 
> abiword also depends on libwmf-native which is still broken
> 
> | checking for XML_ParserFree in -lexpat... yes
> | checking for freetype-config... /home/jenkins/oe/world/shr-core/tmp-eglibc/sysroots/x86_64-linux/usr/bin/freetype-config
> | checking for FT_Init_FreeType in -lfreetype... yes
> | checking ft2build.h usability... no
> | checking ft2build.h presence... no
> | checking for ft2build.h... no
> | configure: error: * * * freetype(2) is required * * *
> | Configure failed. The contents of all config.log files follows to aid debugging
> | ERROR: oe_runconf failed
> | WARNING: exit code 1 from a shell command.
> | ERROR: Function failed: do_configure (log file is located at /home/jenkins/oe/world/shr-core/tmp-eglibc/work/x86_64-linux/libwmf-native/0.2.8.4-r3/temp/log.do_configure.22003)
> NOTE: recipe libwmf-native-0.2.8.4-r3: task do_configure: Failed
> ERROR: Task 28608 (virtual:native:/home/jenkins/oe/world/shr-core/meta-openembedded/meta-oe/recipes-extended/libwmf/libwmf_0.2.8.4.bb, do_configure) failed with exit code '1'

Patch sent: http://patches.openembedded.org/patch/77381/


> 
>> Signed-off-by: Koen Kooi <koen@dominion.thruhere.net>
>> ---
>> meta-gnome/recipes-gnome/abiword/abiword_3.0.0.bb | 4 +---
>> 1 file changed, 1 insertion(+), 3 deletions(-)
>> 
>> diff --git a/meta-gnome/recipes-gnome/abiword/abiword_3.0.0.bb b/meta-gnome/recipes-gnome/abiword/abiword_3.0.0.bb
>> index 7cd6c65..eb4bba2 100644
>> --- a/meta-gnome/recipes-gnome/abiword/abiword_3.0.0.bb
>> +++ b/meta-gnome/recipes-gnome/abiword/abiword_3.0.0.bb
>> @@ -14,8 +14,6 @@ SRC_URI = "http://www.abisource.com/downloads/${BPN}/${PV}/source/${BP}.tar.gz \
>>            file://autogen-common.sh \
>> "
>> 
>> -PNBLACKLIST[abiword] = "BROKEN: depends on broken wv -> libgsf"
>> -
>> LIC_FILES_CHKSUM = "file://COPYING;md5=c5edcc3ccd864b19004d14e9c1c9a26a"
>> 
>> SRC_URI[md5sum] = "8d9c41cff3a8fbef8d0c835c65600e65"
>> @@ -26,7 +24,7 @@ SHRT_VER = "${@d.getVar('PV',1).split('.')[0]}.${@d.getVar('PV',1).split('.')[1]
>> 
>> inherit autotools-brokensep pkgconfig
>> 
>> -PACKAGECONFIG ??= "collab-backend-xmpp collab-backend-tcp collab-backend-service"
>> +PACKAGECONFIG ??= "collab-backend-xmpp collab-backend-tcp"
>> PACKAGECONFIG[spell] = "--enable-spell,--disable-spell,enchant"
>> PACKAGECONFIG[collab-backend-xmpp] = "--enable-collab-backend-xmpp,--disable-collab-backend-xmpp,libgsf libxml2 loudmouth"
>> PACKAGECONFIG[collab-backend-tcp] = "--enable-collab-backend-tcp,--disable-collab-backend-tcp,libgsf libxml2"
>> -- 
>> 1.9.0
>> 
>> -- 
>> _______________________________________________
>> Openembedded-devel mailing list
>> Openembedded-devel@lists.openembedded.org
>> http://lists.openembedded.org/mailman/listinfo/openembedded-devel
> 
> -- 
> Martin 'JaMa' Jansa     jabber: Martin.Jansa@gmail.com

Patch

diff --git a/meta-gnome/recipes-gnome/abiword/abiword_3.0.0.bb b/meta-gnome/recipes-gnome/abiword/abiword_3.0.0.bb
index 7cd6c65..eb4bba2 100644
--- a/meta-gnome/recipes-gnome/abiword/abiword_3.0.0.bb
+++ b/meta-gnome/recipes-gnome/abiword/abiword_3.0.0.bb
@@ -14,8 +14,6 @@  SRC_URI = "http://www.abisource.com/downloads/${BPN}/${PV}/source/${BP}.tar.gz \
            file://autogen-common.sh \
 "
 
-PNBLACKLIST[abiword] = "BROKEN: depends on broken wv -> libgsf"
-
 LIC_FILES_CHKSUM = "file://COPYING;md5=c5edcc3ccd864b19004d14e9c1c9a26a"
 
 SRC_URI[md5sum] = "8d9c41cff3a8fbef8d0c835c65600e65"
@@ -26,7 +24,7 @@  SHRT_VER = "${@d.getVar('PV',1).split('.')[0]}.${@d.getVar('PV',1).split('.')[1]
 
 inherit autotools-brokensep pkgconfig
 
-PACKAGECONFIG ??= "collab-backend-xmpp collab-backend-tcp collab-backend-service"
+PACKAGECONFIG ??= "collab-backend-xmpp collab-backend-tcp"
 PACKAGECONFIG[spell] = "--enable-spell,--disable-spell,enchant"
 PACKAGECONFIG[collab-backend-xmpp] = "--enable-collab-backend-xmpp,--disable-collab-backend-xmpp,libgsf libxml2 loudmouth"
 PACKAGECONFIG[collab-backend-tcp] = "--enable-collab-backend-tcp,--disable-collab-backend-tcp,libgsf libxml2"